--- cfgloop.gcc45.s	2014-12-26 22:37:45.000000000 +0900
+++ cfgloop.gcc48.s	2014-12-26 22:25:31.000000000 +0900
@@ -2537,94 +2515,84 @@
 	.cfi_startproc
 	mov.l	r8,@-r15
 	.cfi_def_cfa_offset 4
+	.cfi_offset 8, -4
 	mov.l	r9,@-r15
 	.cfi_def_cfa_offset 8
-	mov	r4,r9
 	.cfi_offset 9, -8
-	.cfi_offset 8, -4
 	mov.l	r10,@-r15
 	.cfi_def_cfa_offset 12
-	mov	#1,r4
+	.cfi_offset 10, -12
 	mov.l	r11,@-r15
 	.cfi_def_cfa_offset 16
-	mov.l	r12,@-r15
-	.cfi_def_cfa_offset 20
-	mov.l	r13,@-r15
-	.cfi_def_cfa_offset 24
-	mov.l	r14,@-r15
-	.cfi_def_cfa_offset 28
-	mov.l	.L350,r0
+	.cfi_offset 11, -16
 	sts.l	pr,@-r15
-	.cfi_def_cfa_offset 32
+	.cfi_def_cfa_offset 20
+	.cfi_offset 17, -20
 	add	#-4,r15
-	.cfi_def_cfa_offset 36
-	.cfi_offset 17, -32
-	.cfi_offset 14, -28
-	.cfi_offset 13, -24
-	.cfi_offset 12, -20
-	.cfi_offset 11, -16
-	.cfi_offset 10, -12
-	.cfi_def_cfa_register 14
+	.cfi_def_cfa_offset 24
+	mov.l	.L436,r0
+	mov	r4,r9
 	jsr	@r0
-	mov	r15,r14
+	mov	#1,r4
 	tst	r0,r0
-	bf	.L346
-	mov.l	.L351,r1
-	mov.l	.L352,r4
-	mov.w	.L353,r5
-	mov.l	.L354,r6
+	bf.s	.L432
+	mov	#0,r8
+	mov.l	.L437,r1
+	mov.l	.L438,r4
+	mov.w	.L439,r5
+	mov.l	.L440,r6
 	jsr	@r1
 	nop
-.L346:
-	mov	r14,r10
-	mov.l	@(8,r9),r13
-	mov	#0,r8
-	mov.l	.L355,r11
-	bra	.L347
-	add	#-60,r10
-.L349:
-	mov.l	@(60,r10),r1
+.L432:
+	mov.l	@(8,r9),r10
+	mov.l	.L441,r11
+.L433:
+	mov	r8,r4
+	mov	r10,r5
+	jsr	@r11
+	mov	r15,r6
+	tst	r0,r0
+	bt.s	.L434
+	mov.l	@(0,r15),r1
 	mov.l	@r1,r2
 	mov.l	@(12,r9),r1
 	cmp/eq	r1,r2
-	bf.s	.L348
+	bt.s	.L433
 	add	#1,r8
-.L347:
-	mov	r8,r4
-	mov	r13,r5
-	jsr	@r11
-	mov	r14,r6
-	tst	r0,r0
-	bf	.L349
-.L348:
-	mov	r14,r1
-	add	#-60,r1
-	mov.l	@(60,r1),r0
-	add	#4,r14
-	mov	r14,r15
+.L434:
+	mov.l	@(0,r15),r0
+	add	#4,r15
+	.cfi_def_cfa_offset 20
 	lds.l	@r15+,pr
-	mov.l	@r15+,r14
-	mov.l	@r15+,r13
-	mov.l	@r15+,r12
+	.cfi_restore 17
+	.cfi_def_cfa_offset 16
 	mov.l	@r15+,r11
+	.cfi_restore 11
+	.cfi_def_cfa_offset 12
 	mov.l	@r15+,r10
+	.cfi_restore 10
+	.cfi_def_cfa_offset 8
 	mov.l	@r15+,r9
+	.cfi_restore 9
+	.cfi_def_cfa_offset 4
 	rts	
 	mov.l	@r15+,r8
+	.cfi_def_cfa_offset 0
+	.cfi_restore 8
 	.align 1
-.L353:
+.L439:
 	.short	1650
-.L356:
+.L442:
 	.align 2
-.L350:
+.L436:
 	.long	_ZL23loops_state_satisfies_pj
-.L351:
+.L437:
 	.long	_Z11fancy_abortPKciS0_
-.L352:
+.L438:
 	.long	.LC1
-.L354:
+.L440:
 	.long	_ZZ19loop_preheader_edgePK4loopE12__FUNCTION__
-.L355:
+.L441:
 	.long	_ZL7ei_cond13edge_iteratorPP8edge_def
 	.cfi_endproc
 .LFE949:
@@ -2637,47 +2605,48 @@
 	.cfi_startproc
 	mov.l	r8,@-r15
 	.cfi_def_cfa_offset 4
+	.cfi_offset 8, -4
 	mov.l	r9,@-r15
 	.cfi_def_cfa_offset 8
-	mov	r5,r9
 	.cfi_offset 9, -8
-	.cfi_offset 8, -4
 	mov.l	r10,@-r15
 	.cfi_def_cfa_offset 12
-	mov	r4,r10
 	.cfi_offset 10, -12
-	mov.l	r14,@-r15
-	.cfi_def_cfa_offset 16
-	mov.l	.L360,r8
 	sts.l	pr,@-r15
-	.cfi_def_cfa_offset 20
-	mov	r15,r14
-	.cfi_offset 17, -20
-	.cfi_offset 14, -16
-	.cfi_def_cfa_register 14
+	.cfi_def_cfa_offset 16
+	.cfi_offset 17, -16
+	mov.l	.L446,r8
+	mov	r4,r10
+	mov	r5,r9
 	jsr	@r8
 	mov.l	@r5,r5
 	tst	r0,r0
-	bt.s	.L359
+	bt.s	.L445
 	mov	r10,r4
 	jsr	@r8
 	mov.l	@(4,r9),r5
 	xor	#1,r0
-	bra	.L358
+	bra	.L444
 	extu.b	r0,r0
-.L359:
+.L445:
 	mov	#0,r0
-.L358:
-	mov	r14,r15
+.L444:
 	lds.l	@r15+,pr
-	mov.l	@r15+,r14
+	.cfi_restore 17
+	.cfi_def_cfa_offset 12
 	mov.l	@r15+,r10
+	.cfi_restore 10
+	.cfi_def_cfa_offset 8
 	mov.l	@r15+,r9
+	.cfi_restore 9
+	.cfi_def_cfa_offset 4
 	rts	
 	mov.l	@r15+,r8
-.L361:
+	.cfi_def_cfa_offset 0
+	.cfi_restore 8
+.L447:
 	.align 2
-.L360:
+.L446:
 	.long	_Z21flow_bb_inside_loop_pPK4loopPK15basic_block_def
 	.cfi_endproc
 .LFE950:
@@ -2690,44 +2659,43 @@
 	.cfi_startproc
 	mov.l	r8,@-r15
 	.cfi_def_cfa_offset 4
-	add	#64,r4
+	.cfi_offset 8, -4
 	mov.l	r9,@-r15
 	.cfi_def_cfa_offset 8
-	mov.l	r14,@-r15
-	.cfi_def_cfa_offset 12
-	mov.l	.L365,r0
+	.cfi_offset 9, -8
 	sts.l	pr,@-r15
-	.cfi_def_cfa_offset 16
+	.cfi_def_cfa_offset 12
+	.cfi_offset 17, -12
+	mov.l	.L453,r0
+	add	#64,r4
 	mov.l	@(32,r4),r8
-	.cfi_offset 17, -16
-	.cfi_offset 14, -12
-	.cfi_offset 9, -8
-	.cfi_offset 8, -4
-	mov	r15,r14
-	.cfi_def_cfa_register 14
 	jsr	@r0
 	mov	#8,r4
 	tst	r0,r0
-	bt.s	.L364
+	bt.s	.L451
 	mov.l	@(8,r8),r9
 	mov.l	@r9,r0
 	tst	r0,r0
-	bt	.L363
+	bt	.L451
 	mov.l	@(8,r9),r1
 	cmp/eq	r8,r1
-	bt	.L363
-.L364:
+	bt	.L449
+.L451:
 	mov	#0,r0
-.L363:
-	mov	r14,r15
+.L449:
 	lds.l	@r15+,pr
-	mov.l	@r15+,r14
+	.cfi_restore 17
+	.cfi_def_cfa_offset 8
 	mov.l	@r15+,r9
+	.cfi_restore 9
+	.cfi_def_cfa_offset 4
 	rts	
 	mov.l	@r15+,r8
-.L366:
+	.cfi_def_cfa_offset 0
+	.cfi_restore 8
+.L454:
 	.align 2
-.L365:
+.L453:
 	.long	_ZL23loops_state_satisfies_pj
 	.cfi_endproc
 .LFE951:
@@ -2740,77 +2708,69 @@
 	.cfi_startproc
 	mov.l	r8,@-r15
 	.cfi_def_cfa_offset 4
-	mov	#0,r8
 	.cfi_offset 8, -4
 	mov.l	r9,@-r15
 	.cfi_def_cfa_offset 8
+	.cfi_offset 9, -8
 	mov.l	r10,@-r15
 	.cfi_def_cfa_offset 12
+	.cfi_offset 10, -12
 	mov.l	r11,@-r15
 	.cfi_def_cfa_offset 16
+	.cfi_offset 11, -16
 	mov.l	r12,@-r15
 	.cfi_def_cfa_offset 20
-	mov.l	r13,@-r15
-	.cfi_def_cfa_offset 24
-	mov	r4,r13
-	.cfi_offset 13, -24
 	.cfi_offset 12, -20
-	.cfi_offset 11, -16
-	.cfi_offset 10, -12
-	.cfi_offset 9, -8
-	mov.l	r14,@-r15
-	.cfi_def_cfa_offset 28
 	sts.l	pr,@-r15
-	.cfi_def_cfa_offset 32
-	add	#-8,r15
-	.cfi_def_cfa_offset 40
-	mov	r15,r14
-	.cfi_offset 17, -32
-	.cfi_offset 14, -28
-	.cfi_def_cfa_register 14
-	mov	r14,r12
-	mov	r14,r10
-	mov.l	r5,@r14
-	add	#4,r12
-	mov.l	.L372,r11
-	mov.l	.L373,r9
-	bra	.L368
-	add	#-56,r10
-.L370:
+	.cfi_def_cfa_offset 24
+	.cfi_offset 17, -24
+	add	#-4,r15
+	.cfi_def_cfa_offset 28
+	mov.l	.L459,r9
+	mov	r4,r11
+	mov.l	.L460,r12
+	mov	r5,r10
+	mov	#0,r8
+.L456:
+	mov	r8,r4
+	mov	r10,r5
 	jsr	@r9
-	mov.l	@(60,r10),r5
+	mov	r15,r6
 	tst	r0,r0
-	bf.s	.L371
-	add	#1,r8
-.L368:
-	mov	r8,r4
-	mov.l	@r14,r5
-	jsr	@r11
-	mov	r12,r6
+	bt.s	.L457
+	mov	r11,r4
+	jsr	@r12
+	mov.l	@(0,r15),r5
 	tst	r0,r0
-	bf.s	.L370
-	mov	r13,r4
-	bra	.L369
-	nop
-.L371:
-	mov	#1,r0
-.L369:
-	add	#8,r14
-	mov	r14,r15
+	bt.s	.L456
+	add	#1,r8
+.L457:
+	add	#4,r15
+	.cfi_def_cfa_offset 24
 	lds.l	@r15+,pr
-	mov.l	@r15+,r14
-	mov.l	@r15+,r13
+	.cfi_restore 17
+	.cfi_def_cfa_offset 20
 	mov.l	@r15+,r12
+	.cfi_restore 12
+	.cfi_def_cfa_offset 16
 	mov.l	@r15+,r11
+	.cfi_restore 11
+	.cfi_def_cfa_offset 12
 	mov.l	@r15+,r10
+	.cfi_restore 10
+	.cfi_def_cfa_offset 8
 	mov.l	@r15+,r9
+	.cfi_restore 9
+	.cfi_def_cfa_offset 4
 	rts	
 	mov.l	@r15+,r8
-.L374:
+	.cfi_def_cfa_offset 0
+	.cfi_restore 8
+.L461:
 	.align 2
-.L372:
+.L459:
 	.long	_ZL7ei_cond13edge_iteratorPP8edge_def
-.L373:
+.L460:
 	.long	_Z16loop_exit_edge_pPK4loopPK8edge_def
 	.cfi_endproc
 .LFE952:
@@ -2823,75 +2783,70 @@
 	.cfi_startproc
 	mov.l	r8,@-r15
 	.cfi_def_cfa_offset 4
-	mov	#0,r8
 	.cfi_offset 8, -4
 	mov.l	r9,@-r15
 	.cfi_def_cfa_offset 8
+	.cfi_offset 9, -8
 	mov.l	r10,@-r15
 	.cfi_def_cfa_offset 12
+	.cfi_offset 10, -12
 	mov.l	r11,@-r15
 	.cfi_def_cfa_offset 16
+	.cfi_offset 11, -16
 	mov.l	r12,@-r15
 	.cfi_def_cfa_offset 20
-	mov.l	r13,@-r15
-	.cfi_def_cfa_offset 24
-	mov	r5,r13
-	.cfi_offset 13, -24
 	.cfi_offset 12, -20
-	.cfi_offset 11, -16
-	.cfi_offset 10, -12
-	.cfi_offset 9, -8
-	mov.l	r14,@-r15
-	.cfi_def_cfa_offset 28
-	add	#4,r13
 	sts.l	pr,@-r15
-	.cfi_def_cfa_offset 32
-	add	#-8,r15
-	.cfi_def_cfa_offset 40
-	mov	r15,r14
-	.cfi_offset 17, -32
-	.cfi_offset 14, -28
-	.cfi_def_cfa_register 14
-	mov	r14,r12
-	mov	r14,r10
-	mov.l	r4,@r14
-	add	#4,r12
-	mov.l	.L380,r11
-	mov.l	.L381,r9
-	bra	.L376
-	add	#-56,r10
-.L378:
-	add	#1,r8
+	.cfi_def_cfa_offset 24
+	.cfi_offset 17, -24
+	add	#-4,r15
+	.cfi_def_cfa_offset 28
+	mov.l	.L466,r9
+	mov	r5,r10
+	mov.l	.L467,r12
+	mov	r4,r11
+	add	#4,r10
+	mov	#0,r8
+.L463:
+	mov	r8,r4
+	mov	r10,r5
 	jsr	@r9
-	mov.l	@(60,r10),r5
+	mov	r15,r6
 	tst	r0,r0
-	bf.s	.L379
-	mov	#1,r0
-.L376:
-	mov	r8,r4
-	mov	r13,r5
-	jsr	@r11
-	mov	r12,r6
+	bt.s	.L464
+	mov	r11,r4
+	jsr	@r12
+	mov.l	@(0,r15),r5
 	tst	r0,r0
-	bf.s	.L378
-	mov.l	@r14,r4
-.L379:
-	add	#8,r14
-	mov	r14,r15
+	bt.s	.L463
+	add	#1,r8
+.L464:
+	add	#4,r15
+	.cfi_def_cfa_offset 24
 	lds.l	@r15+,pr
-	mov.l	@r15+,r14
-	mov.l	@r15+,r13
+	.cfi_restore 17
+	.cfi_def_cfa_offset 20
 	mov.l	@r15+,r12
+	.cfi_restore 12
+	.cfi_def_cfa_offset 16
 	mov.l	@r15+,r11
+	.cfi_restore 11
+	.cfi_def_cfa_offset 12
 	mov.l	@r15+,r10
+	.cfi_restore 10
+	.cfi_def_cfa_offset 8
 	mov.l	@r15+,r9
+	.cfi_restore 9
+	.cfi_def_cfa_offset 4
 	rts	
 	mov.l	@r15+,r8
-.L382:
+	.cfi_def_cfa_offset 0
+	.cfi_restore 8
+.L468:
 	.align 2
-.L380:
+.L466:
 	.long	_ZL7ei_cond13edge_iteratorPP8edge_def
-.L381:
+.L467:
 	.long	_Z16loop_exit_edge_pPK4loopPK8edge_def
 	.cfi_endproc
 .LFE953:
--- cfgloop.gcc45.s	2014-12-26 22:37:45.000000000 +0900
+++ cfgloop.gcc48.s	2014-12-26 22:25:31.000000000 +0900
@@ -8219,8 +7042,6 @@
 	.size	_ZZ13get_loop_bodyPK4loopE12__FUNCTION__, 14
 _ZZ13get_loop_bodyPK4loopE12__FUNCTION__:
 	.string	"get_loop_body"
-	.local	_ZL12mfb_reis_set
-	.comm	_ZL12mfb_reis_set,4,4
 	.align 2
 	.type	_ZZL17merge_latch_edgesP4loopE12__FUNCTION__, @object
 	.size	_ZZL17merge_latch_edgesP4loopE12__FUNCTION__, 18
@@ -8236,4 +7057,6 @@
 	.size	_ZZ18superloop_at_depthP4loopjE12__FUNCTION__, 19
 _ZZ18superloop_at_depthP4loopjE12__FUNCTION__:
 	.string	"superloop_at_depth"
-	.ident	"GCC: (NetBSD nb1 20140527) 4.5.4"
+	.local	_ZL12mfb_reis_set
+	.comm	_ZL12mfb_reis_set,4,4
+	.ident	"GCC: (NetBSD nb1 20140527) 4.8.4 20141009 (prerelease)"
